<!-- Network IPv4 Dialog -->
<div class="gtkdialog" id="networkIPv4Dialog">
	<div class="gtkdialog-window large">
		<div class="titlebar grouped">
			<div class="button-group float-left">
				<a class="button image-button" onclick="$('#networkIPv4Dialog').hide();$('#wifiNetworkSettingsDialog').show();">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			</div>
			<div class="title-group">
				<span class="title">Network IPv4 Settings</span>
			</div>
			<div class="button-group float-right">
				{%- include components/close-button.html close = "gtkdialog" -%}
			</div>
		</div>
		<div class="gtkdialog-content">
			<!-- Row -->
			<div id="myWifiNetworkIdentity" class="row">
				<ul class="listrow">
					<li id="iPv4MethodPopover">
						<label>IPv4 Method</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="iPv4MethodStatus">Automatic (DHCP)</label>
					</li>
					<li>
						<label>Automatic DNS</label>
						{%- include components/switch.html float = "right" checked = "checked" id = "wifiAutomaticDNSSwitch" -%}
					</li>
					<li>
						<label>Automatic Routing</label>
						{%- include components/switch.html float = "right" checked = "checked" id = "wifiAutomaticRoutingSwitch" -%}
					</li>
				</ul>
			</div>
			<!-- Row -->
			<div id="manualIPv4Addressing" class="row hidden">
				<h4>Manual IP</h4>
				<ul id="myWifiNetworkAddresses" class="listrow">
					<li class="customIPv4Addressing1" >
						<label>Custom Addressing 1</label>
						<a class="button image-button flat float-right" onclick="$('.customIPv4Addressing1').addClass('hidden');">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
						<a class="button image-button flat float-right" style="margin-right: 6px;" onclick="$('#customIPv4AddressingDialog').show();">{%- include symbolic/actions/document-edit-symbolic.svg -%}</a>
					</li>
					<li class="customIPv4Addressing1">
						<label class="dim-label">Address</label>
						<label class="dim-label float-right">10.0.0.1</label>
					</li>
					<li class="customIPv4Addressing1">
						<label class="dim-label">Netmask</label>
						<label class="dim-label float-right">10.0.0.255</label>
					</li>
					<li class="customIPv4Addressing1">
						<label class="dim-label">Gateway</label>
						<label class="dim-label float-right">10.10.0.1</label>
					</li>
					<li class="hidden customIPv4Addressing2">
						<label>Custom Addressing 2</label>
						<a class="button image-button flat float-right" onclick="$('.customIPv4Addressing2').addClass('hidden');">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
						<a class="button image-button flat float-right" style="margin-right: 6px;" onclick="$('#customIPv4AddressingDialog').show();">{%- include symbolic/actions/document-edit-symbolic.svg -%}</a>
					</li>
					<li class="hidden customIPv4Addressing2">
						<label class="dim-label">Address</label>
						<label class="dim-label float-right">10.0.0.2</label>
					</li>
					<li class="hidden customIPv4Addressing2">
						<label class="dim-label">Netmask</label>
						<label class="dim-label float-right">10.0.0.255</label>
					</li>
					<li class="text-center" onclick="$('#customIPv4AddressingDialog').show();">
						<label class="center" id="">Add Custom Addressing...</label>
					</li>
				</ul>
			</div>
			<!-- Row -->
			<div id="wifiNetworkDNSSettings" class="row hidden">
				<h4>DNS Servers</h4>
				<ul class="listrow">
					<li id="hideMe1">
						<label>192.168.2.1</label>
						<a class="button image-button flat float-right" onclick="$('#hideMe1').hide();">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
					</li>
					<li id="hideMe2">
						<label>1.1.1.1</label>
						<a class="button image-button flat float-right" onclick="$('#hideMe2').hide();">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
					</li>
					<li id="addedDNSServer" class="hidden">
						<label id="addedDNSServerLabel"></label>
						<a class="button image-button flat float-right" onclick="$('#addedDNSServer').addClass('hidden');">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
					</li>
					<li class="text-center" onclick="$('#addDNSServerDialog').show();">
						<label class="center" id="">Add DNS Server...</label>
					</li>
				</ul>
			</div>
			<!-- Row -->
			<div id="wifiNetworkRoutesSettings" class="row hidden">
				<h4>Routes</h4>
				<ul class="listrow">
					<li>
						<label>Address</label>
						<input type="entry" name="" placeholder="0.0.0.0" class="float-right text-right">
					</li>
					<li>
						<label>Netmask</label>
						<input type="entry" name="" placeholder="255.255.0.0" class="float-right text-right">
					</li>
					<li>
						<label>Gateway</label>
						<input type="entry" name="" placeholder="0.0.0.0" class="float-right text-right">
					</li>
					<li>
						<label>Metric</label>
						<input type="entry" name="" placeholder="" class="float-right text-right">
					</li>
				</ul>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul>',
			'<li onclick="popoverIPv4Method($(this).text());">Automatic (DHCP)</li>',
			'<li onclick="popoverIPv4Method($(this).text());">Link-local Only</li>',
			'<li onclick="popoverIPv4Method($(this).text());$(&apos;#manualIPv4Addressing&apos;).removeClass(&apos;hidden&apos;);">Manual</li>',
			'<li onclick="popoverIPv4Method($(this).text());">Disable</li>',
		'</ul>'].join('');

	$("#iPv4MethodPopover").popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function popoverIPv4Method() {
	$('#iPv4MethodStatus').text(arguments[0]);
	$("#iPv4MethodPopover").popover("hide");
}

// wifi toggle
$(document).ready(function(){
	$('#wifiAutomaticDNSSwitch').change(function(){
		if($(this).is(":checked")) {
			$('#wifiNetworkDNSSettings').addClass('hidden'); // show network list
		} else {
			$('#wifiNetworkDNSSettings').removeClass('hidden');
		}
	});
});
// wifi toggle
$(document).ready(function(){
	$('#wifiAutomaticRoutingSwitch').change(function(){
		if($(this).is(":checked")) {
			$('#wifiNetworkRoutesSettings').addClass('hidden'); // show network list
		} else {
			$('#wifiNetworkRoutesSettings').removeClass('hidden');
		}
	});
});
</script>